Freeciv-3.1: fc_lua Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
fc_lua Struct Reference

`#include <luascript.h>`

## Data Fields

lua_State * | state
luascript_log_func_t | output_fct
struct connection * | caller
struct luascript_func_hash * | funcs
struct luascript_signal_hash * | signals
struct luascript_signal_name_list * | signal_names

## Detailed Description

Definition at line 44 of file luascript.h.

## Field Documentation

## ◆ caller

struct connection* fc_lua::caller

Definition at line 49 of file luascript.h.

Referenced by luascript_destroy(), luascript_new(), script_server_cmd_reply(), script_server_do_file_shared(), and script_server_do_string_shared().

## ◆ funcs

struct luascript_func_hash* fc_lua::funcs

Definition at line 51 of file luascript.h.

Referenced by luascript_func_add_valist(), luascript_func_call_valist(), luascript_func_check(), luascript_func_free(), luascript_func_init(), and luascript_func_is_required().

## ◆ output_fct

luascript_log_func_t fc_lua::output_fct

Definition at line 47 of file luascript.h.

Referenced by luascript_log_vargs(), luascript_new(), script_server_do_file_shared(), and script_server_do_string_shared().

## ◆ signal_names

struct luascript_signal_name_list* fc_lua::signal_names

Definition at line 54 of file luascript.h.

Referenced by luascript_signal_by_index(), luascript_signal_create_valist(), luascript_signal_free(), and luascript_signal_init().

## ◆ signals

struct luascript_signal_hash* fc_lua::signals

Definition at line 53 of file luascript.h.

Referenced by luascript_signal_callback(), luascript_signal_callback_by_index(), luascript_signal_callback_defined(), luascript_signal_create_valist(), luascript_signal_emit_valist(), luascript_signal_free(), and luascript_signal_init().

## ◆ state

lua_State* fc_lua::state

Definition at line 45 of file luascript.h.

Referenced by luascript_call(), luascript_callback_invoke(), luascript_check_function(), luascript_destroy(), luascript_do_file(), luascript_do_string(), luascript_func_call_valist(), luascript_func_is_required(), luascript_new(), luascript_pop_returns(), luascript_push_args(), luascript_remove_exported_object(), luascript_report(), luascript_signal_callback(), luascript_vars_load(), luascript_vars_save(), script_client_init(), and script_server_init().